> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroclick.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a member's role



## OpenAPI

````yaml https://api.zeroclick.io/openapi.json patch /v1/organization-members/{membershipId}
openapi: 3.0.0
info:
  title: ZeroClick API
  description: >-
    REST API for managing ZeroClick sellers, services, pricing, usage, and
    analytics. Authenticate with an API key from the ZeroClick dashboard.
  version: 1.0.0
servers:
  - url: https://api.zeroclick.io
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Sellers
  - name: Services
  - name: Meters
  - name: Plans
  - name: Plan meter prices
  - name: Usage
  - name: Analytics
  - name: Stripe Connect
  - name: Sandbox
  - name: Organizations
  - name: Users
paths:
  /v1/organization-members/{membershipId}:
    patch:
      tags:
        - Organizations
      summary: Update a member's role
      parameters:
        - schema:
            type: string
            minLength: 1
          in: path
          name: membershipId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                  minLength: 1
                role:
                  type: string
                  enum:
                    - admin
                    - member
              required:
                - organizationId
                - role
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  member:
                    type: object
                    properties:
                      id:
                        type: string
                      userId:
                        type: string
                      email:
                        type: string
                      name:
                        nullable: true
                        type: string
                      role:
                        nullable: true
                        type: string
                      status:
                        type: string
                    required:
                      - id
                      - userId
                      - email
                      - name
                      - role
                      - status
                    additionalProperties: false
                required:
                  - member
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key created in the ZeroClick dashboard under Settings → API keys.
        Keys start with `zc_`. Send them as `Authorization: Bearer zc_...`.

````